/* Copyright 2013 Sven Jacobs
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.svenjacobs.lugaene;

import com.googlecode.objectify.annotation.Entity;
import com.googlecode.objectify.annotation.Id;

/**
 * Represents a directory on GAE
 * <p/>
 * Is parent of {@link GaeFileEntity}. Thus it's possible to run multiple directories on GAE.
 *
 * @author Sven Jacobs
 */
@Entity
class GaeDirectoryEntity {
    @Id
    String name;

    @SuppressWarnings("UnusedDeclaration")
    private GaeDirectoryEntity() {
    }

    GaeDirectoryEntity(final String name) {
        this.name = name;
    }
}
